package xn.update.app;

import android.annotation.SuppressLint;
import android.app.Application;

import com.blankj.utilcode.util.AppUtils;
import com.blankj.utilcode.util.CrashUtils;
import com.blankj.utilcode.util.FileUtils;
import com.blankj.utilcode.util.LogUtils;

import xn.update.Tool;

public class App extends Application {
    @Override
    @SuppressLint("SdCardPath")
    public void onCreate() {
        super.onCreate();
        String logPath = "/sdcard/logs/";
        String crashPath = "/sdcard/logs/crash/";
        // log文件存储地址
        FileUtils.createOrExistsDir(logPath);
        FileUtils.createOrExistsDir(crashPath);
        CrashUtils.init(crashPath, crashInfo -> {
            LogUtils.e(crashInfo);
            Tool.INSTANCE.reStartApp();
        });
        LogUtils.Config config = LogUtils.getConfig();
        // log开关控制
        config.setLogSwitch(true);
        // log控制台开关
        config.setConsoleSwitch(true);
        // logTag
        config.setGlobalTag("Jayce");
        // log头部信息开关
        config.setLogHeadSwitch(true);
        // log文件开关
        config.setLog2FileSwitch(true);
        config.setDir(logPath);
        // log文件前缀
        config.setFilePrefix(AppUtils.getAppName());
        // log边框开关
        config.setBorderSwitch(true);
        // log文件保存天数
        config.setSaveDays(30);
    }
}
