package xn.update.http;


import org.json.JSONException;
import org.json.JSONObject;

import java.io.IOException;

import okhttp3.Response;
import xn.update.Tool;

public enum HttpTool {
    INSTANCE;

    public Response terminalAuth() throws IOException, JSONException {
        JSONObject jsonObject = new JSONObject();
        jsonObject.put("deviceCode", Tool.INSTANCE.getSerialNumber());
        return OkHttpUtils.INSTANCE.postSync(Tool.INSTANCE.getBaseUrl() + "terminal/authorize", jsonObject.toString());
    }

    public Response update() throws IOException, JSONException {
        JSONObject jsonObject = new JSONObject();
        jsonObject.put("deviceCode", Tool.INSTANCE.getSerialNumber());
        return OkHttpUtils.INSTANCE.postSync(Tool.INSTANCE.getBaseUrl() + "terminal/upgrade/device/task", jsonObject.toString());
    }

    public Response updateCallBack(String taskId, String deviceCode, boolean isDownload, boolean isInstall) throws IOException, JSONException {
        JSONObject jsonObject = new JSONObject();
        jsonObject.put("taskId", taskId);
        jsonObject.put("deviceCode", deviceCode);
        if (isDownload) {
            jsonObject.put("status", "downloaded");
        }
        if (isInstall) {
            jsonObject.put("status", "success");
        }
        return OkHttpUtils.INSTANCE.postSync(Tool.INSTANCE.getBaseUrl() + "terminal/upgrade/device/callback", jsonObject.toString());
    }

    /**
     * category    1:系统参数 2:公共配置
     * configType  1:基础配置 2: 管控一体机 3:化学品终端 4:小程序配置 5:开发配置 6:首页配置
     */
    public Response getConfig() throws JSONException, IOException {
        JSONObject jsonObject = new JSONObject();
        jsonObject.put("category", 2);
        jsonObject.put("configType", 5);
        return OkHttpUtils.INSTANCE.postSync(Tool.INSTANCE.getBaseUrl() + "terminal/sys/config/info/getConfigByType", jsonObject.toString());
    }

}
